absolute-sharepoint.com
Patch your SharePoint Server to the latest Public Update ASAP
Earlier this year, a vulnerability was found various versions of SharePoint Server and got assigned the ID CVE-2019-0604. Learn why you should patch ASAP!